﻿// AxisInfo.cs by Charles Petzold, June 2009
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ChartingLib
{
    public struct AxisInfo
    {
        public AxisInfo(double min, double max, double length) : this()
        {
            Minimum = min;
            Maximum = max;
            Length = length;
        }

        public double Minimum { private set; get; }
        public double Maximum { private set; get; }
        public double Length { private set; get; }
    }
}
