﻿// IndexToBrushConverter.cs by Charles Petzold, June 2009
using System;
using System.Windows.Data;
using System.Windows.Media;
using System.Globalization;

namespace ChartingLib
{
    public class IndexToBrushConverter : IValueConverter
    {
        public Brush[] Brushes { get; set; }

        public object Convert(object value, Type targetType, 
                              object parameter, CultureInfo culture)
        {
            if (Brushes.Length == 0)
                return null;

            return Brushes[(int)value % Brushes.Length];
        }

        public object ConvertBack(object value, Type targetType, 
                                  object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}
