﻿// PercentageToAngleConverter.cs by Charles Petzold, June 2009
using System;
using System.Globalization;
using System.Windows.Data;

namespace ChartingLib
{
    public class PercentageToAngleConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return 360 * (double)value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (double)value / 360;
        }
    }
}
